Anyone using BS4 versions of my add-on will need to have the original first version of the CE BS4 software. In making the BS4 veriants of the add-on's I have only used this initial version for testing and have taken it as CE BS4 Frozen. If you dont have a copy then you can download one from the test site. https://chilleddisplays.co.uk/product_info.php/cPath/26/products_id/57 The BS4 add-on's will NOT work with BS4 EDGE from github or any other version. Please dont ask for these to be updated to edge as it's imposaible to keep updating add-on's as edge is constantly changing.